# -*- coding: utf-8 -*-

from django.utils.translation import gettext_lazy as _

from thx.core.admin import UserAdminMixin


class TrackingCodeSettingAdmin(UserAdminMixin):
    fieldsets = (
        (_('general information'), {
            'fields': ('status', 'title', 'slug', 'template_name', 'url', 'site_id')
        }),
        (_('logs admin'), {
            'classes': ('collapse',),
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify')
        }),
    )
    readonly_fields = ('creator', 'date_create', 'last_modifier', 'date_last_modify')
    prepopulated_fields = {'slug': ('title',)}


class TagManagerSettingAdmin(UserAdminMixin):
    fieldsets = (
        (_('general information'), {
            'fields': ('status', 'title', 'slug', 'template_name', 'url', 'tag_code')
        }),
        (_('logs admin'), {
            'classes': ('collapse',),
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify')
        }),
    )
    readonly_fields = ('creator', 'date_create', 'last_modifier', 'date_last_modify')
    prepopulated_fields = {'slug': ('title',)}
