# -*- coding: utf-8 -*-

from django.utils.translation import gettext_lazy as _

from admin_tools.dashboard import modules


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("matomo"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("matomo"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("main models"),
            'models': (
                'apps.matomo.models.TrackingCodeSetting',
                'apps.matomo.models.TagManagerSetting',
            ),
        })
        super().__init__(**kwargs)
