# -*- coding: utf-8 -*-

from django.utils.translation import gettext_lazy as _

children = []
models = [
    {
        'model_name': 'trackingcodesetting',
        'model_label': _('tracking code setting'),
        'model_label_plural': _('tracking code settings')
    },
    {
        'model_name': 'tagmanagersetting',
        'model_label': _('tag manager setting'),
        'model_label_plural': _('tag manager settings')
    },
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:matomo_{model['model_name']}_add",
        "perms": [f"matomo.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("list {}").format(model['model_label_plural']),
        "url_name": f"admin:matomo_{model['model_name']}_changelist",
        "perms": [
            f"matomo.view_{model['model_name']}",
            f"matomo.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('matomo'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'matomo'}},
    'perms': ['matomo.*'],
    'children': children
}]
