# Generated by Django 3.2.22 on 2023-11-13 11:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0022_auto_20180620_1551'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TrackingCodeSetting',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='matomo_trackingcodesetting', serialize=False, to='cms.cmsplugin')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disabled'), (1, 'enabled')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('template_name', models.CharField(choices=settings.MATOMO_TRACKING_CODE_SETTING_TEMPLATE_CHOICES, default=settings.MATOMO_TRACKING_CODE_SETTING_TEMPLATE_DEFAULT, max_length=255, verbose_name='template')),
                ('url', models.URLField(max_length=255, verbose_name='url')),
                ('site_id', models.CharField(max_length=255, verbose_name='site id')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='matomo_trackingcodesetting_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='matomo_trackingcodesetting_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'tracking code setting',
                'verbose_name_plural': 'tracking code settings',
                'ordering': ('ordering',),
                'permissions': (('list_trackingcodesetting', 'Can list tracking code setting'), ('detail_trackingcodesetting', 'Can detail tracking code setting'), ('enable_trackingcodesetting', 'Can enable tracking code setting'), ('disable_trackingcodesetting', 'Can disable tracking code setting')),
            },
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.CreateModel(
            name='TagManagerSetting',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='matomo_tagmanagersetting', serialize=False, to='cms.cmsplugin')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disabled'), (1, 'enabled')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('template_name', models.CharField(choices=settings.MATOMO_TAG_MANAGER_SETTING_TEMPLATE_CHOICES, default=settings.MATOMO_TAG_MANAGER_SETTING_TEMPLATE_DEFAULT, max_length=255, verbose_name='template')),
                ('url', models.URLField(max_length=255, verbose_name='url')),
                ('tag_code', models.CharField(blank=True, max_length=255, null=True, verbose_name='tag code')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='matomo_tagmanagersetting_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='matomo_tagmanagersetting_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'tag manager setting',
                'verbose_name_plural': 'tag manager settings',
                'ordering': ('ordering',),
                'permissions': (('list_tagmanagersetting', 'Can list tag manager setting'), ('detail_tagmanagersetting', 'Can detail tag manager setting'), ('enable_tagmanagersetting', 'Can enable tag manager setting'), ('disable_tagmanagersetting', 'Can disable tag manager setting')),
            },
            bases=('cms.cmsplugin', models.Model),
        ),
    ]
